Skip to main content
GET
/
api
/
v1
/
auth
/
wallet
/
default
/
{user_id}
Get default wallet for user
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/wallet/default/{user_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ea963c72-35d4-4a4e-8e32-70971c27f188",
  "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
  "name": "Ethereum Wallet",
  "address": 1.0526201056375617e+48,
  "wallet_type": "hot",
  "network": "ethereum",
  "is_default": true,
  "is_active": true,
  "created_at": "2025-12-09T12:21:56.103584Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required

User ID.

Response

200 - application/json

Default wallet found

id
string<uuid>

Wallet ID.

user_id
string<uuid>

Owner user ID.

name
string

Wallet label (e.g.

address
string

Chain address.

wallet_type
string

hot/cold/etc.

network
string

Network name (ethereum

is_default
boolean

Whether this is the default wallet for the network.

is_active
boolean

Whether wallet is active.

created_at
string<date-time>

Wallet creation timestamp (RFC 3339).